com.buschmais.jqassistant.plugin.javaee6.api.model

## Interface ServletDescriptor

- All Superinterfaces:
    AsyncSupportedDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, com.buschmais.jqassistant.plugin.java.api.model.TypedDescriptor, WebDescriptor

      @Label(value="Servlet")
      public interface ServletDescriptor
      extends WebDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, com.buschmais.jqassistant.plugin.java.api.model.TypedDescriptor, AsyncSupportedDescriptor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionDescriptor>` | `getDescriptions()`
    `List<DisplayNameDescriptor>` | `getDisplayNames()`
    `List<IconDescriptor>` | `getIcons()`
    `List<ParamValueDescriptor>` | `getInitParams()`
    `String` | `getJspFile()`
    `String` | `getLoadOnStartup()`
    `List<ServletMappingDescriptor>` | `getMappings()`
    `MultipartConfigDescriptor` | `getMultipartConfig()`
    `RunAsDescriptor` | `getRunAs()`
    `List<SecurityRoleRefDescriptor>` | `getSecurityRoleRefs()`
    `boolean` | `isEnabled()`
    `void` | `setEnabled(boolean value)`
    `void` | `setJspFile(String value)`
    `void` | `setLoadOnStartup(String loadOnStartup)`
    `void` | `setMultipartConfig(MultipartConfigDescriptor multipartConfigDescriptor)`
    `void` | `setRunAs(RunAsDescriptor runAsDescriptor)`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      `getName, setName`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.TypedDescriptor

      `getType, setType`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.javaee6.api.model.AsyncSupportedDescriptor

      `isAsyncSupported, setAsyncSupported`

- - ### Method Detail

    - #### isEnabled

          boolean isEnabled()

    - #### setEnabled

          void setEnabled(boolean value)

    - #### getJspFile

          String getJspFile()

    - #### setJspFile

          void setJspFile(String value)

    - #### getLoadOnStartup

          String getLoadOnStartup()

    - #### setLoadOnStartup

          void setLoadOnStartup(String loadOnStartup)

    - #### getDescriptions

          @Relation(value="HAS_DESCRIPTION")
          List<DescriptionDescriptor> getDescriptions()

    - #### getDisplayNames

          @Relation(value="HAS_DISPLAY_NAME")
          List<DisplayNameDescriptor> getDisplayNames()

    - #### getIcons

          @Relation(value="HAS_ICON")
          List<IconDescriptor> getIcons()

    - #### getInitParams

          @Relation(value="HAS_INIT_PARAM")
          List<ParamValueDescriptor> getInitParams()

    - #### getMultipartConfig

          @Relation(value="HAS_MULTI_PART_CONFIG")
          MultipartConfigDescriptor getMultipartConfig()

    - #### setMultipartConfig

          void setMultipartConfig(MultipartConfigDescriptor multipartConfigDescriptor)

    - #### getRunAs

          @Relation(value="RUNNING_AS")
          RunAsDescriptor getRunAs()

    - #### setRunAs

          void setRunAs(RunAsDescriptor runAsDescriptor)

    - #### getSecurityRoleRefs

          @Relation(value="HAS_SECURITY_ROLE_REFS")
          List<SecurityRoleRefDescriptor> getSecurityRoleRefs()

    - #### getMappings

          @Relation(value="HAS_MAPPING")
          List<ServletMappingDescriptor> getMappings()

Copyright © 2015 buschmais GbR. All rights reserved.